<?php
session_start();

// Set the captcha text
$captcha_text = substr(md5(rand()), 0, 6);

// Save the captcha text in session
$_SESSION['captcha'] = $captcha_text;

// Create the captcha image
$captcha_image = imagecreatetruecolor(319, 83);
$bg_color = imagecolorallocate($captcha_image, 255, 255, 255);
$text_color = imagecolorallocate($captcha_image, 0, 0, 0);
imagefill($captcha_image, 0, 0, $bg_color);
imagettftext($captcha_image, 30, rand(-5, 5), 20, 50, $text_color, __DIR__ . '/../assets/fonts/arial.ttf', $captcha_text);

// Add distortion to the captcha image
for($i = 0; $i < 3; $i++) {
    $image = imagecreatetruecolor(319, 83);
    imagecopy($image, $captcha_image, 0, 0, 0, 0, 319, 83);
    imagecopyresampled($captcha_image, $image, rand(-5, 5), rand(-5, 5), 0, 0, 319, 83, 319, 83);
    imagedestroy($image);
}

// Output the captcha image
header('Content-Type: image/png');
imagepng($captcha_image);

// Clean up
imagedestroy($captcha_image);

// Store the correct captcha answer in a session variable
$_SESSION['captcha_answer'] = $captcha_text;
?>